GBP-IMPORT-SRPM(1)

NAME
gbp-import-srpm - Import source RPM packages into a Git repository

SYNOPSIS

gbp import-srpm [ --version ] [ --help ] [ --verbose ] [ --color=[auto|on|off] ] [ --color-scheme=COLOR_SCHEME ] [ --vendor=VENDOR ] [ --allow-same-versions ] [ --author-is-committer ] [ --packaging-branch=BRANCH-NAME ] [ --packaging-tag=TAG-FORMAT ] [ --download ] [ --packaging-dir=DIRECTORY ] [ --filter=PATTERN ] [ --keyid=GPG-KEYID ] [ --[no-]create-missing-branches ] [ --[no-]pristine-tar ] [ --[no-]sign-tags ] [ --upstream-branch=BRANCH-NAME ] [ --upstream-tag=TAG-FORMAT ] [ --native ] SRPM

gbp import-srpm [ options ] --download URL | SRC.RPM | DIRECTORY

DESCRIPTION

gbp import-srpm imports an RPM source package into a Git repository, notes the package version in the commit logs, and commits the change. All information, including package name, version and upstream source is automatically detected from the source package. The tool supports importing both archived (src.rpm files) or unpacked (directory) source RPMs.

OPTIONS

--version
    Print version of the program, i.e. version of the git-buildpackage suite

-v

--verbose
    Verbose execution

-h

--help
    Print help and exit

--color=[auto|on|off]
    Whether to use colored output.

--color-scheme=COLOR_SCHEME
    Colors to use in output (when color is enabled). The format for COLOR_SCHEME is '<debug>:<info>:<warning>:<error>'. Numerical values and color names are accepted, empty fields imply the default color. For example, --git-color-scheme='cyan:34::' would show debug messages in cyan, info messages in blue and other messages in default (i.e. warning and error messages in red).

--vendor=VENDOR
    Distribution vendor name.

--upstream-branch=BRANCH-NAME
    The branch in the Git repository the upstream sources are put onto. Default is upstream.

--packaging-branch=BRANCH-NAME
    The branch in the Git repository the packaging files are put onto. Default is master.

--[no-]sign-tags
    GPG sign all created tags.

--keyid=GPG-KEYID
    Use this keyid for gpg signing tags.

--packaging-tag=TAG-FORMAT
    Use this tag format when tagging released versions, default is %(vendor)s/%(version)s.

--upstream-tag=TAG-FORMAT
    Use this tag format when tagging upstream versions, default is upstream/%(version)s.

--git-packaging-dir=DIRECTORY
    Subdirectory where to put the RPM packaging files.

--filter=PATTERN
    Filter out files glob-matching pattern. Can be given multiple times.

--pristine-tar
    Generate pristine-tar delta file.

--download
    Download the source package instead of looking for it in the local file system. The argument can either be a plain package name or an URI. The former uses yumdownloader to download the source while the later uses wget.

--allow-same-version
    Allow one to re-import a package with an already existing version. This will not re-import the upstream sources - only packaging files will be re-imported.

--author-is-committer
    Use the author identity as the comitter when importing upstream sources and packaging files.

--[no-]create-missing-branches
    Create missing upstream and/or packaging branch if missing.

--orphan-packaging
    Import packaging files into an orphan branch that will not be based on the upstream branch. Useful if you want to maintain (non-native) package using the 'orphan-packaging' model. This option have no effect if --native is used.

--native
    Treat the package as native package. No separate upstream branch or upstream tags will be created.

CONFIGURATION FILES

Several gbp.conf files are parsed to set defaults for the above command-line arguments. See the gbp.conf(5)> manpage for details.

SEE ALSO

gbp-buildpackage-rpm(1)>, gbp-pq-rpm(1)>, gbp.conf(5)>, debuild(1), git(1), pristine-tar(1), The Git-Buildpackage Manual <URL:file:///usr/share/doc/git-buildpackage/manual-html/index.html>

AUTHOR

Markus Lehtonen <markus.lehtonen@linux.intel.com>